Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.iDOC_CREMAS03_4X_46A
Class IDOC_CREMAS03_4X_46A

    java.lang.Object
      IDocOtdRoot
          com.stc.sapale.iDOC_CREMAS03_4X_46A.IDOC_CREMAS03_4X_46A

public class IDOC_CREMAS03_4X_46A
extends IDocOtdRoot

IDOC_CREMAS03_4X_46A - represents a SAP IDOC_CREMAS03_4X_46A Object

See Also:
  Serialized Form

Nested Class Summary
`static class` | `IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A`

Method Summary
`IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A` | `getCREMAS03_4X_46A(int index)` getCREMAS03_4X_46A
`boolean` | `hasCREMAS03_4X_46A()` Tests whether any CREMAS03_4X_46A nodes are present or not.
`boolean` | `hasCREMAS03_4X_46A(int index)` Tests whether the element at the index position of CREMAS03_4X_46A is present.
`OtdMeta` | `meta()` Gets the OtdMeta root
`void` | `setCREMAS03_4X_46A(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A[] value)` setCREMAS03_4X_46A

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCREMAS03_4X_46A

    public IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A getCREMAS03_4X_46A(int index)
                                                            throws java.lang.IndexOutOfBoundsException

  getCREMAS03_4X_46A

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### hasCREMAS03_4X_46A

    public boolean hasCREMAS03_4X_46A()

  Tests whether any CREMAS03_4X_46A nodes are present or not.

  Returns:
    true if CREMAS03_4X_46A exists else false.

### hasCREMAS03_4X_46A

    public boolean hasCREMAS03_4X_46A(int index)

  Tests whether the element at the index position of CREMAS03_4X_46A is present.

  Parameters:
    `index` - Index of the child repetition.
  Returns:
    true if CREMAS03_4X_46A exists else IndexOutOfBoundsException.

### meta

    public OtdMeta meta()

  Gets the OtdMeta root

  Returns:
    Run-time tree of data nodes.

### setCREMAS03_4X_46A

    public void setCREMAS03_4X_46A(IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A[] value)

  setCREMAS03_4X_46A

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.